Summary:   NNTP server for small sites
Name:      leafnode
Version:   1.9.2
Release:   1
URL:       http://www.troll.no/freebies/leafnode.html
Source0:   ftp://wpxx02.toxi.uni-wuerzburg.de/pub/%{name}-%{version}.tar.gz
Source1:   leafnode.texpire
Source2:   leafnode.config
Source3:   leafnode.filters
Patch:     leafnode-1.9-paths.patch
Copyright: distributable
Group:     Networking/News
BuildRoot: /tmp/%{name}-%{version}-root

%description
Leafnode is a USENET software package designed for small sites, with a few
tens of readers and only a slow link to the net.

%prep
%setup -q

%patch -p1

%build
./configure --prefix=/usr
make DEBUG="$RPM_OPT_FLAGS" \
     LIBDIR=/etc/leafnode \
     LOCKFILE=/var/lock/news/fetch.lck

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/{bin,sbin,man/man1,man/man8}
install -d $RPM_BUILD_ROOT/etc/{cron.daily,leafnode}

make PREFIX_USR=$RPM_BUILD_ROOT/usr \
     PREFIX_VAR=$RPM_BUILD_ROOT/var \
     LIBDIR=$RPM_BUILD_ROOT/etc/leafnode \
     LOCKFILE=$RPM_BUILD_ROOT/var/lock/news/fetch.lck \
     install

install -m 755 -g root -o root %SOURCE1 $RPM_BUILD_ROOT/etc/cron.daily/texpire
install -m 600 -g news -o news %SOURCE2 $RPM_BUILD_ROOT/etc/leafnode/config
install -m 600 -g news -o news %SOURCE3 $RPM_BUILD_ROOT/etc/leafnode/filters

%pre
if [ -f /etc/cron.daily/texpire.cron ] ; then
        rm -f /etc/cron.daily/texpire.cron
fi

%post
if [ `grep leafnode /etc/inetd.conf | wc -l` = 0 ] ; then
	echo "nntp	stream	tcp	nowait	news	/usr/sbin/tcpd	/usr/sbin/leafnode" >> /etc/inetd.conf
fi
if [ -f /var/run/inetd.pid ] ; then
	kill -HUP `cat /var/run/inetd.pid` 2> /dev/null ||:
fi

%postun
if [ "$1" = "0" ]; then
	grep -v leafnode /etc/inetd.conf | grep -v /bin/sh > /etc/inetd.conf.new
	mv /etc/inetd.conf.new /etc/inetd.conf
fi
if [ -f /var/run/inetd.pid ] ; then
        kill -HUP `cat /var/run/inetd.pid` 2> /dev/null ||:
fi

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES README TODO archivefaq.pl
%attr(755,root,root) %config /etc/cron.daily/texpire
%attr(755,news,news) %dir /etc/leafnode
%attr(600,news,news) %config /etc/leafnode/config
%attr(600,news,news) %config /etc/leafnode/filters
%attr(644,root,man) /usr/man/man1/*
%attr(644,root,man) /usr/man/man8/*
%attr(750,news,news) /usr/sbin/*
%attr(750,news,news) /usr/bin/*
%attr(755,news,news) %dir /var/lock/news
%attr(2775,news,news) %dir /var/spool/news
%attr(775,news,news) %dir /var/spool/news/*
%attr(775,news,news) %dir /var/spool/news/message.id/*

%changelog
* Sat Mar 06 1999 Arne Coucheron <arneco@online.no>
  [1.9.2-1]

* Wed Feb 17 1999 Arne Coucheron <arneco@online.no>
  [1.9-2]
- remove the old texpire.cron file

* Tue Feb 16 1999 Arne Coucheron <arneco@online.no>
  [1.9-1]
- moved config files to /etc/leafnode
- added a sample filters file
- removed procedure for upgrading from older versions
- changed name of texpire.cron to just texpire

* Mon Jan 03 1999 Arne Coucheron <arneco@online.no>
  [1.8.1-1]
- patch removed, fixed in sources

* Fri Dec 18 1998 Arne Coucheron <arneco@online.no>
  [1.8-1]
- added patch for missing <sys/types.h> in filterutil.c

* Thu Dec 10 1998 Arne Coucheron <arneco@online.no>
  [1.7.1-1]

* Mon Dec 07 1998 Arne Coucheron <arneco@online.no>
  [1.7-1]

* Thu Nov 05 1998 Arne Coucheron <arneco@online.no>
  [1.6.2-2]
- %doc dir was not readable by ordinary users, fixed!
- made config file readable by owner only, to prevent unauthorized users
  from getting hold of passwords

* Fri Oct 23 1998 Arne Coucheron <arneco@online.no>
  [1.6.2-1]

* Wed Oct 14 1998 Arne Coucheron <arneco@online.no>
  [1.6.1-1]
- can someone please send me a patch to get rid of all the LOG_DEBUG
  messages so that the operation of leafnode can be speeded up

* Thu Sep 10 1998 Arne Coucheron <arneco@online.no>
  [1.5-2]
- using %%{name} and %%{version} macros
- added -q parameter to %setup
- added patches from Michael Schwendt <sidplay@geocities.com>

* Thu May 07 1998 Arne Coucheron <arneco@online.no>
  [1.5-1]
- cleaned out older changelogs
- some adjustments to the spec file